Bug 496832 - Amarok crashes when trying to play music
Amarok crashes when trying to play music
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 07:39 EDT by Oded Arbel
Modified: 2009-05-06 07:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 07:07:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oded Arbel 2009-04-21 07:39:08 EDT
Description of problem:
When a track is loaded to a new play list, or when pressing Play on an old play list, Amarok immediately crashes.

Version-Release number of selected component (if applicable):
2.0.2-6

How reproducible:
Always

Steps to Reproduce:
1. put something in the play list
2. press play
  
Actual results:
Crash

Expected results:
The player should start playing the music

Additional info:
Stack trace produced by the bug tool:
---8<---
Application: Amarok (amarok), signal SIGSEGV
0x000000333d4a4db1 in nanosleep () from /lib64/libc.so.6
[Current thread is 1 (Thread 0x7fc139185820 (LWP 5630))]

Thread 15 (Thread 0x7fc130941910 (LWP 5631)):
#0  0x000000333e00b5cd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc131bd35c1 in ?? () from /usr/lib64/libxine.so.1
#2  0x000000333e00687a in start_thread () from /lib64/libpthread.so.0
#3  0x000000333d4e014d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fc12f266910 (LWP 5632)):
#0  0x000000333d4d6ca3 in poll () from /lib64/libc.so.6
#1  0x000000333e83b6e2 in ?? () from /lib64/libglib-2.0.so.0
#2  0x000000333e83ba5c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x000000334516bffe in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#4  0x0000003345141452 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x0000003345141824 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00000033450573fb in QThread::exec() () from /usr/lib64/libQtCore.so.4
#7  0x00007fc131e2cb0e in Phonon::MediaSource::type() const () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#8  0x000000334505a221 in ?? () from /usr/lib64/libQtCore.so.4
#9  0x000000333e00687a in start_thread () from /lib64/libpthread.so.0
#10 0x000000333d4e014d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fc12e456910 (LWP 5641)):
#0  0x00007fc12fb087f6 in ?? () from /usr/lib64/libpulse.so.0
#1  0x00007fc12faf62c4 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#2  0x00007fc12faf6673 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#3  0x00007fc12faf66e6 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#4  0x00007fc12fb08870 in ?? () from /usr/lib64/libpulse.so.0
#5  0x00007fc12f8bdc2b in ?? () from /usr/lib64/libpulsecommon-0.9.15.so
#6  0x000000333e00687a in start_thread () from /lib64/libpthread.so.0
#7  0x000000333d4e014d in clone () from /lib64/libc.so.6
#8  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fc12d850910 (LWP 5642)):
#0  0x000000333d4d6ca3 in poll () from /lib64/libc.so.6
#1  0x00007fc12e66292e in snd_pcm_sw_params_set_start_threshold () from /usr/lib64/xine/plugins/1.26/xineplug_ao_out_alsa.so
#2  0x000000333e00687a in start_thread () from /lib64/libpthread.so.0
#3  0x000000333d4e014d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fc12ce4f910 (LWP 5643)):
#0  0x000000333e00b349 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc131be4493 in ?? () from /usr/lib64/libxine.so.1
#2  0x000000333e00687a in start_thread () from /lib64/libpthread.so.0
#3  0x000000333d4e014d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fc122903910 (LWP 5645)):
#0  0x000000333d4d8d02 in select () from /lib64/libc.so.6
#1  0x00007fc131bfba85 in xine_usec_sleep () from /usr/lib64/libxine.so.1
#2  0x00007fc131be1289 in ?? () from /usr/lib64/libxine.so.1
#3  0x000000333e00687a in start_thread () from /lib64/libpthread.so.0
#4  0x000000333d4e014d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fc102769910 (LWP 5652)):
#0  0x000000333e00b349 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000334505b2db in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x000000335240ab06 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x000000335240cc8b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x000000335240b25f in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x000000335240b6b8 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#6  0x000000334505a221 in ?? () from /usr/lib64/libQtCore.so.4
#7  0x000000333e00687a in start_thread () from /lib64/libpthread.so.0
#8  0x000000333d4e014d in clone () from /lib64/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fc101d68910 (LWP 5653)):
#0  0x000000333e00b349 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000334505b2db in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x000000335240ab06 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x000000335240cc8b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x000000335240cca4 in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x000000335240b25f in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x000000335240b6b8 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x000000334505a221 in ?? () from /usr/lib64/libQtCore.so.4
#8  0x000000333e00687a in start_thread () from /lib64/libpthread.so.0
#9  0x000000333d4e014d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fc100ea4910 (LWP 5654)):
#0  0x000000333e00b349 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000334505b2db in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x000000335240ab06 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x000000335240cc8b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x000000335240cca4 in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x000000335240cca4 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x000000335240b25f in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x000000335240b6b8 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#8  0x000000334505a221 in ?? () from /usr/lib64/libQtCore.so.4
#9  0x000000333e00687a in start_thread () from /lib64/libpthread.so.0
#10 0x000000333d4e014d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fc0fafa3910 (LWP 5655)):
#0  0x000000333e00b349 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000334505b2db in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x000000335240ab06 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x000000335240cc8b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x000000335240cca4 in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x000000335240cca4 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x000000335240cca4 in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x000000335240b25f in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x000000335240b6b8 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#9  0x000000334505a221 in ?? () from /usr/lib64/libQtCore.so.4
#10 0x000000333e00687a in start_thread () from /lib64/libpthread.so.0
#11 0x000000333d4e014d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fc0f3fff910 (LWP 5695)):
#0  0x000000333e00b349 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc131bd6f0b in ?? () from /usr/lib64/libxine.so.1
#2  0x00007fc131bdcf0d in ?? () from /usr/lib64/libxine.so.1
#3  0x000000333e00687a in start_thread () from /lib64/libpthread.so.0
#4  0x000000333d4e014d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fc1135f2910 (LWP 5696)):
#0  0x000000333e00b349 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc131bd6f0b in ?? () from /usr/lib64/libxine.so.1
#2  0x00007fc131bddf8d in ?? () from /usr/lib64/libxine.so.1
#3  0x000000333e00687a in start_thread () from /lib64/libpthread.so.0
#4  0x000000333d4e014d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fc112bf1910 (LWP 5697)):
#0  0x000000333e00b349 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc131be75bb in xine_event_wait () from /usr/lib64/libxine.so.1
#2  0x00007fc131be762e in ?? () from /usr/lib64/libxine.so.1
#3  0x000000333e00687a in start_thread () from /lib64/libpthread.so.0
#4  0x000000333d4e014d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fc0e4b32910 (LWP 5702)):
#0  0x000000333e00b5cd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000334505b242 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x0000003345050faa in ?? () from /usr/lib64/libQtCore.so.4
#3  0x000000334505a221 in ?? () from /usr/lib64/libQtCore.so.4
#4  0x000000333e00687a in start_thread () from /lib64/libpthread.so.0
#5  0x000000333d4e014d in clone () from /lib64/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fc139185820 (LWP 5630)):
[KCrash Handler]
#5  0x0000003d92e78b4c in EngineController::slotAboutToFinish() () from /usr/lib64/libamaroklib.so.1
#6  0x0000003d92e79e5d in EngineController::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libamaroklib.so.1
#7  0x0000003345158612 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQtCore.so.4
#8  0x000000334f220a20 in ?? () from /usr/lib64/libphonon.so.4
#9  0x000000334f221606 in Phonon::MediaObject::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libphonon.so.4
#10 0x0000003345158612 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQtCore.so.4
#11 0x00007fc131e4583d in Phonon::MediaSource::type() const () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#12 0x00007fc131e48457 in Phonon::MediaSource::type() const () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#13 0x00000033451526c9 in QObject::event(QEvent*) () from /usr/lib64/libQtCore.so.4
#14 0x000000334658deac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#15 0x00000033465954de in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#16 0x0000003347206146 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#17 0x0000003345142b7c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#18 0x000000334514366a in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/libQtCore.so.4
#19 0x000000334516c333 in ?? () from /usr/lib64/libQtCore.so.4
#20 0x000000333e83818e in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#21 0x000000333e83b8e8 in ?? () from /lib64/libglib-2.0.so.0
#22 0x000000333e83ba5c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#23 0x000000334516bfa6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#24 0x00000033466220de in ?? () from /usr/lib64/libQtGui.so.4
#25 0x0000003345141452 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#26 0x0000003345141824 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#27 0x0000003345143919 in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#28 0x0000000000404054 in _start ()

---8<---
Comment 1 Rex Dieter 2009-05-04 11:24:23 EDT
amarok-2.1 (coming soon) should see some significant improvements in this area.  stay tuned.
Comment 2 Rex Dieter 2009-05-04 11:26:44 EDT
ooops, posted to the wrong bug.

Is this (still) reproducible with latest updates (qt, kde, pulseaudio, xine-lib)?
Comment 3 Oded Arbel 2009-05-05 07:25:18 EDT
Yes, this is still reproducible. This time it was a bit slower and it looked like it was actually trying to play the first item, failing, moving to the second item and then crashing. It was still too fast to make out for sure, but here is the new stack trace:

Application: Amarok (amarok), signal SIGSEGV
0x0000003a9d6a5151 in nanosleep () from /lib64/libc.so.6
[Current thread is 1 (Thread 0x7f05410c4820 (LWP 27825))]

Thread 15 (Thread 0x7f0535ec6910 (LWP 27827)):
#0  0x0000003a9e20b63d in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003aa52135c1 in ?? () from /usr/lib64/libxine.so.1
#2  0x0000003a9e20687a in start_thread () from /lib64/libpthread.so.0
#3  0x0000003a9d6e04cd in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f053480a910 (LWP 27828)):
#0  0x0000003a9e208e86 in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x0000003a9fe3b125 in g_main_context_prepare () from /lib64/libglib-2.0.so.0
#2  0x0000003a9fe3b4e8 in ?? () from /lib64/libglib-2.0.so.0
#3  0x0000003a9fe3ba5c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#4  0x0000003aa736bffe in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x0000003aa7341452 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x0000003aa7341824 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#7  0x0000003aa72573fb in QThread::exec() () from /usr/lib64/libQtCore.so.4
#8  0x00007f0537158b0e in Phonon::MediaSource::type() const () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#9  0x0000003aa725a221 in ?? () from /usr/lib64/libQtCore.so.4
#10 0x0000003a9e20687a in start_thread () from /lib64/libpthread.so.0
#11 0x0000003a9d6e04cd in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f0533e09910 (LWP 27829)):
#0  0x0000003a9d6d7043 in poll () from /lib64/libc.so.6
#1  0x00007f05350ac7f3 in ?? () from /usr/lib64/libpulse.so.0
#2  0x00007f053509a2c4 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x00007f053509a673 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007f053509a6e6 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007f05350ac870 in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007f0534e61c2b in ?? () from /usr/lib64/libpulsecommon-0.9.15.so
#7  0x0000003a9e20687a in start_thread () from /lib64/libpthread.so.0
#8  0x0000003a9d6e04cd in clone () from /lib64/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f0533408910 (LWP 27830)):
#0  0x0000003a9e20b3b9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003aa5224493 in ?? () from /usr/lib64/libxine.so.1
#2  0x0000003a9e20687a in start_thread () from /lib64/libpthread.so.0
#3  0x0000003a9d6e04cd in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f05310ad910 (LWP 27832)):
#0  0x0000003a9d6d9092 in select () from /lib64/libc.so.6
#1  0x0000003aa7321691 in ?? () from /usr/lib64/libQtCore.so.4
#2  0x0000003aa725a221 in ?? () from /usr/lib64/libQtCore.so.4
#3  0x0000003a9e20687a in start_thread () from /lib64/libpthread.so.0
#4  0x0000003a9d6e04cd in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f051c92e910 (LWP 27844)):
#0  0x0000003a9d6d9092 in select () from /lib64/libc.so.6
#1  0x0000003aa523ba85 in xine_usec_sleep () from /usr/lib64/libxine.so.1
#2  0x0000003aa5221289 in ?? () from /usr/lib64/libxine.so.1
#3  0x0000003a9e20687a in start_thread () from /lib64/libpthread.so.0
#4  0x0000003a9d6e04cd in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f051bb44910 (LWP 27849)):
#0  0x0000003a9e20b3b9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003aa725b2db in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x0000003ab8c0ab06 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x0000003ab8c0cc8b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x0000003ab8c0cca4 in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x0000003ab8c0cca4 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x0000003ab8c0cca4 in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x0000003ab8c0b25f in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x0000003ab8c0b6b8 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#9  0x0000003aa725a221 in ?? () from /usr/lib64/libQtCore.so.4
#10 0x0000003a9e20687a in start_thread () from /lib64/libpthread.so.0
#11 0x0000003a9d6e04cd in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f050a769910 (LWP 27853)):
#0  0x0000003a9e20b3b9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003aa725b2db in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x0000003aa6682edc in ?? () from /usr/lib64/libQtNetwork.so.4
#3  0x0000003aa725a221 in ?? () from /usr/lib64/libQtCore.so.4
#4  0x0000003a9e20687a in start_thread () from /lib64/libpthread.so.0
#5  0x0000003a9d6e04cd in clone () from /lib64/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f0509d33910 (LWP 27854)):
#0  0x0000003a9e20b3b9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003aa725b2db in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x0000003ab8c0ab06 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x0000003ab8c0cc8b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x0000003ab8c0cca4 in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x0000003ab8c0b25f in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x0000003ab8c0b6b8 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x0000003aa725a221 in ?? () from /usr/lib64/libQtCore.so.4
#8  0x0000003a9e20687a in start_thread () from /lib64/libpthread.so.0
#9  0x0000003a9d6e04cd in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f0509332910 (LWP 27855)):
#0  0x0000003a9e20b3b9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003aa725b2db in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x0000003ab8c0ab06 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x0000003ab8c0cc8b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x0000003ab8c0cca4 in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x0000003ab8c0cca4 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x0000003ab8c0b25f in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x0000003ab8c0b6b8 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#8  0x0000003aa725a221 in ?? () from /usr/lib64/libQtCore.so.4
#9  0x0000003a9e20687a in start_thread () from /lib64/libpthread.so.0
#10 0x0000003a9d6e04cd in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f04fbfff910 (LWP 27856)):
#0  0x0000003a9e20b3b9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003aa725b2db in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x0000003ab8c0ab06 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x0000003ab8c0cc8b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x0000003ab8c0b25f in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x0000003ab8c0b6b8 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#6  0x0000003aa725a221 in ?? () from /usr/lib64/libQtCore.so.4
#7  0x0000003a9e20687a in start_thread () from /lib64/libpthread.so.0
#8  0x0000003a9d6e04cd in clone () from /lib64/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f051b143910 (LWP 27919)):
#0  0x0000003a9e20b3b9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003aa5216f0b in ?? () from /usr/lib64/libxine.so.1
#2  0x0000003aa521cf0d in ?? () from /usr/lib64/libxine.so.1
#3  0x0000003a9e20687a in start_thread () from /lib64/libpthread.so.0
#4  0x0000003a9d6e04cd in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f051a742910 (LWP 27920)):
#0  0x0000003a9e20b3b9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003aa5216f0b in ?? () from /usr/lib64/libxine.so.1
#2  0x0000003aa521df8d in ?? () from /usr/lib64/libxine.so.1
#3  0x0000003a9e20687a in start_thread () from /lib64/libpthread.so.0
#4  0x0000003a9d6e04cd in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f051902a910 (LWP 27921)):
#0  0x0000003a9e20b3b9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003aa52275bb in xine_event_wait () from /usr/lib64/libxine.so.1
#2  0x0000003aa522762e in ?? () from /usr/lib64/libxine.so.1
#3  0x0000003a9e20687a in start_thread () from /lib64/libpthread.so.0
#4  0x0000003a9d6e04cd in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f05410c4820 (LWP 27825)):
[KCrash Handler]
#5  0x0000003085e78b4c in EngineController::slotAboutToFinish() () from /usr/lib64/libamaroklib.so.1
#6  0x0000003085e79e5d in EngineController::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libamaroklib.so.1
#7  0x0000003aa7358612 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQtCore.so.4
#8  0x0000003ab5820a20 in ?? () from /usr/lib64/libphonon.so.4
#9  0x0000003ab5821606 in Phonon::MediaObject::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libphonon.so.4
#10 0x0000003aa7358612 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQtCore.so.4
#11 0x00007f053717183d in Phonon::MediaSource::type() const () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#12 0x00007f0537174457 in Phonon::MediaSource::type() const () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#13 0x0000003aa73526c9 in QObject::event(QEvent*) () from /usr/lib64/libQtCore.so.4
#14 0x0000003aa838deac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#15 0x0000003aa83954de in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#16 0x0000003aada05c66 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#17 0x0000003aa7342b7c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#18 0x0000003aa734366a in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/libQtCore.so.4
#19 0x0000003aa736c333 in ?? () from /usr/lib64/libQtCore.so.4
#20 0x0000003a9fe3818e in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#21 0x0000003a9fe3b8e8 in ?? () from /lib64/libglib-2.0.so.0
#22 0x0000003a9fe3ba5c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#23 0x0000003aa736bfa6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#24 0x0000003aa84220de in ?? () from /usr/lib64/libQtGui.so.4
#25 0x0000003aa7341452 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#26 0x0000003aa7341824 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#27 0x0000003aa7343919 in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#28 0x0000000000404054 in _start ()
Comment 4 Rex Dieter 2009-05-05 08:54:01 EDT
ok,

1. rpm -q amarok qt kdelibs phonon
2. which phonon backend are you using (xine is default)?
3. what kinds of file induce this?

If possible, sending me (privately or otherwise) a problematic file to reproduce would be helpful too)
Comment 5 Oded Arbel 2009-05-05 14:48:40 EDT
1.
amarok-2.0.2-6.fc11.x86_64
qt-4.5.0-14.fc11.x86_64
qt-4.5.0-14.fc11.i586
kdelibs-4.2.2-12.fc11.x86_64
kdelibs-4.2.2-12.fc11.i586
phonon-4.3.1-3.fc11.i586
phonon-4.3.1-3.fc11.x86_64

2. I only have xine installed

3. MP3 cause the crash. WAV crash Amarok after playing a bit, but the bug tool reports of an invalid backtrace so I don't think its the same bug. Ogg files play fine but as soon as I stop them Amarok crashes (again with an invalid backtrace).

I tried to figure out a minimal test case and eventually decided that there is a problem in my configuration so I nuked everything amarok from my .kde. Now I can't reproduce the crash, but I get other weird behaviors. 

I'll try to reproduce my problem and get back to you.
Comment 6 Oded Arbel 2009-05-06 07:07:47 EDT
I can't reproduce this problem with the setup that I had originally.

I assume there was something broken in my configuration, possibly due to previous versions of amarok that were installed before.

Note You need to log in before you can comment on or make changes to this bug.